<?php

namespace App\Tests\Entity;

use App\Entity\Contrats;
use App\Entity\ContratsOption;
use PHPUnit\Framework\TestCase;

class ContratsOptionTest extends TestCase
{
    public function testGettersAndSetters()
    {
        $contratsOption = new ContratsOption();
        $contrats = new Contrats();
        $name = 'Option X';
        $price = 50.0;
        $details = 'Some details about the option.';

        $contratsOption->setContrat($contrats);
        $contratsOption->setName($name);
        $contratsOption->setPrice($price);
        $contratsOption->setDetails($details);

        $this->assertSame($contrats, $contratsOption->getContrat());
        $this->assertEquals($name, $contratsOption->getName());
        $this->assertEquals($price, $contratsOption->getPrice());
        $this->assertEquals($details, $contratsOption->getDetails());
    }
}
